"""Migrate to nonobot-plugin-user

迁移 ID: b15844837693
父迁移: 3c25a5a8c050
创建时间: 2024-06-08 02:27:35.227596

"""

from __future__ import annotations

from typing import TYPE_CHECKING

import sqlalchemy as sa
from alembic import op

if TYPE_CHECKING:
    from collections.abc import Sequence

revision: str = 'b15844837693'
down_revision: str | Sequence[str] | None = '3c25a5a8c050'
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade(name: str = '') -> None:
    if name:
        return
    if op.get_bind().dialect.name == 'postgresql':
        return
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('nonebot_plugin_tetris_stats_bind', schema=None) as batch_op:
        batch_op.drop_index('ix_nonebot_plugin_tetris_stats_bind_chat_account')
        batch_op.drop_index('ix_nonebot_plugin_tetris_stats_bind_chat_platform')

    op.drop_table('nonebot_plugin_tetris_stats_bind')

    op.create_table(
        'nonebot_plugin_tetris_stats_bind',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('user_id', sa.Integer(), nullable=False),
        sa.Column('game_platform', sa.String(length=32), nullable=False),
        sa.Column('game_account', sa.String(), nullable=False),
        sa.PrimaryKeyConstraint('id', name=op.f('pk_nonebot_plugin_tetris_stats_bind')),
        info={'bind_key': 'nonebot_plugin_tetris_stats'},
    )
    with op.batch_alter_table('nonebot_plugin_tetris_stats_bind', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_nonebot_plugin_tetris_stats_bind_user_id'), ['user_id'], unique=False)
    # ### end Alembic commands ###


def downgrade(name: str = '') -> None:
    if name:
        return
    if op.get_bind().dialect.name == 'postgresql':
        return
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('nonebot_plugin_tetris_stats_bind', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_nonebot_plugin_tetris_stats_bind_user_id'))

    op.drop_table('nonebot_plugin_tetris_stats_bind')

    op.create_table(
        'nonebot_plugin_tetris_stats_bind',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('chat_platform', sa.String(length=32), nullable=False),
        sa.Column('chat_account', sa.String(), nullable=False),
        sa.Column('game_platform', sa.String(length=32), nullable=False),
        sa.Column('game_account', sa.String(), nullable=False),
        sa.PrimaryKeyConstraint('id', name='pk_nonebot_plugin_tetris_stats_bind'),
    )
    with op.batch_alter_table('nonebot_plugin_tetris_stats_bind', schema=None) as batch_op:
        batch_op.create_index('ix_nonebot_plugin_tetris_stats_bind_chat_platform', ['chat_platform'], unique=False)
        batch_op.create_index('ix_nonebot_plugin_tetris_stats_bind_chat_account', ['chat_account'], unique=False)

    # ### end Alembic commands ###
